Форум dkLab и Denwer
Здесь общаются Web-разработчики.
Генеральный спонсор:
Хостинг «Джино»

Denwer последней версии и postgresql 8.4 (yavi)
Author Message
yavi
Заглянувший



Joined: 29 Jun 2012
Posts: 1
Карма: 0
   поощрить/наказать


PostPosted: Fri Jun 29, 2012 11:51 am (написано за 2 минуты 43 секунды)
   Post subject: Denwer последней версии и postgresql 8.4
Reply with quote

Установил последние версии денвера и postgresql. ошибка при запуске апача:
PHP Startup: pgsql: Unable to initialize module
Module comliped with build ID API20090626, TS, VC6
PHP comliped with build ID API20090626, TS, VC6
These options need to match

Где взять совместимые версии?
Back to top
View user's profile Send private message
1Bot
Заглянувший



Joined: 12 Jul 2012
Posts: 1
Карма: 0
   поощрить/наказать


PostPosted: Thu Jul 12, 2012 4:48 pm (спустя 13 дней 4 часа 56 минут; написано за 5 минут 15 секунд)
   Post subject: Re: Denwer последней версии и postgresql 8.4
Reply with quote

Та же проблема,
установка производилась в следующем порядке:

1) Denwer3_Base_2012-06-27_a2.2.22_p5.3.13_m5.5.25_pma3.5.1_xdebug.exe
2) Denwer3_PostgreSQL_2010-01-29_pg8.4.2_pgadm1.10_ppa4.2.2.exe

после запуска денвера
Quote:
PHP Startup: pgsql: Unable to initialize module
Module comliped with build ID API20090626, TS, VC6
PHP comliped with build ID API20090626, TS, VC9
These options need to match
при запуске localhost/Tools/phpPgAdmin/
показывает
Quote:
Ваша инсталяция PHP не поддерживает PostgreSQL. Вам необходимо пересобрать PHP, используя параметр --with-pgsql для configure.
Как можно решить эту проблему?
Back to top
View user's profile Send private message
Дмитрий Котеров
Администратор



Joined: 10 Mar 2003
Posts: 13665
Карма: 413
   поощрить/наказать


PostPosted: Tue Jul 17, 2012 11:04 pm (спустя 5 дней 6 часов 15 минут; написано за 1 минуту 2 секунды)
   Post subject:
Reply with quote

Мой косяк - забыл пересобрать пакет с PostgreSQL для нового Денвера (так что в пакете оказалась dll-ка от старого PHP). Пересобрал, выложил. Попробуйте заново скачать пакет с PostgreSQL, накатить его (при выключенном Денвере) и запустить снова.
Back to top
View user's profile Send private message Send e-mail
slavik27
Заглянувший



Joined: 21 Jul 2017
Posts: 1
Карма: 0
   поощрить/наказать


PostPosted: Fri Jul 21, 2017 5:11 pm (спустя 5 лет 3 дня 18 часов 7 минут; написано за 28 секунд)
   Post subject:
Reply with quote

Скачал сегодня denwer и пакет pgsql такая же ошибка!
Back to top
View user's profile Send private message
zvova2
Заглянувший



Joined: 12 Nov 2017
Posts: 1
Карма: 0
   поощрить/наказать


PostPosted: Sun Nov 12, 2017 6:37 am (спустя 3 месяца 21 день 13 часов 25 минут; написано за 27 секунд)
   Post subject:
Reply with quote

Пожалуйста исправте эту ошибку.
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic All times are GMT + 3 Hours
Page 1 of 1    Email to a Friend.
You cannot post new topics in this forum. You cannot reply to topics in this forum. You cannot edit your posts in this forum. You cannot delete your posts in this forum. You cannot vote in polls in this forum. You cannot attach files in this forum. You cannot download files in this forum.
XML